package net.cijber.worm.dto

import net.cijber.worm.dsl.Entity
import kotlin.properties.ReadWriteProperty
import kotlin.reflect.KProperty

class ColumnProperty<T> : ReadWriteProperty<Entity<*>, T> {
    var value: T? = null

    override operator fun getValue(thisRef: Entity<*>, property: KProperty<*>): T {
        return this.value!!
    }

    override operator fun setValue(thisRef: Entity<*>, property: KProperty<*>, value: T) {
        this.value = value
    }
}